/*
 * javascript provider probes
 *
 * function-entry	(filename, classname, funcname)
 * function-return	(filename, classname, funcname)
 * object-create-start	(filename, classname)
 * object-create	(filename, classname, *object, lineno)
 * object-create-done	(filename, classname)
 * object-finalize	(NULL, classname, *object)
 * execute-start	(filename, lineno)
 * execute-done		(filename, lineno)
 */
#pragma ident	"@(#)jsdtrace.d	1.1	06/09/15 SMI"

provider javascript {
        probe function__entry(char *, char *, char *);
        probe function__return(char *, char *, char *);
        probe object__create__start(char *, char *);
        probe object__create__done(char *, char *);
        probe object__create(char *, char *, uintptr_t, int);
        probe object__finalize(char *, char *, uintptr_t);
        probe execute__start(char *, int);
        probe execute__done(char *, int);
};

#pragma D attributes Evolving/Evolving/Common provider javascript provider
#pragma D attributes Private/Private/Common provider javascript module
#pragma D attributes Private/Private/Common provider javascript function
#pragma D attributes Evolving/Evolving/Common provider javascript name
#pragma D attributes Evolving/Evolving/Common provider javascript args
