/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 4 -*-
 * vim: set ts=8 sw=4 et tw=80:
 */
#pragma ident	"@(#)jsdtracef.h	1.1	06/09/15 SMI"

#include "jsapi.h"
#include "jsobj.h"
#include "jsfun.h"
#include "jsscript.h"
#include "jsinterp.h"

#ifndef _JSDTRACEF_H
#define _JSDTRACEF_H

void
jsdtrace_function_entry(JSStackFrame *fp, JSFunction *fun);

void
jsdtrace_function_return(JSStackFrame *fp, JSFunction *fun);

void
jsdtrace_object_create_start(JSStackFrame *fp, JSClass *clasp);

void
jsdtrace_object_create_done(JSStackFrame *fp, JSClass *clasp);

void
jsdtrace_object_create(JSContext *cx, JSClass *clasp, JSObject *obj);

void
jsdtrace_object_finalize(JSObject *obj);

void
jsdtrace_execute_start(JSScript *script);

void
jsdtrace_execute_done(JSScript *script);

#endif /* _JSDTRACE_H */
